Name:           gnome-sudoku
Epoch:          1
Version:        3.7.4
Release:        2%{?dist}
Summary:        GNOME Sudoku game

License:        GPLv2+ and CC-BY-SA
URL:            http://projects.gnome.org/gnome-games/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gnome-sudoku/3.7/gnome-sudoku-%{version}.tar.xz

# https://bugzilla.gnome.org/show_bug.cgi?id=693736
Patch1:         0001-Fix-NumberBox-envents-configuration-with-latest-pygo.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  glib2-devel
BuildRequires:  pygobject3-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  desktop-file-utils

Requires:       pygobject3
Requires:       gtk3

Obsoletes: gnome-games-sudoku < 1:3.6.1-5
Provides:  gnome-games-sudoku = 1:3.6.1-5

%description
GNOME version of the popular Sudoku Japanese logic game


%prep
%setup -q
%patch1 -p1 -b .NumberBox

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gnome-sudoku.desktop

%find_lang %{name} --all-name --with-gnome


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%doc COPYING
%{python_sitelib}/gnome_sudoku
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-sudoku.gschema.xml
%{_datadir}/applications/gnome-sudoku.desktop
%{_mandir}/man6/gnome-sudoku.6.gz
%{_bindir}/gnome-sudoku
%{_datadir}/gnome-sudoku
%{_datadir}/icons/hicolor/*/apps/gnome-sudoku.*


%changelog
* Thu Feb 14 2013 Yanko Kaneti <yaneti@declera.com> - 3.7.4-2
- Add epoch to avoid being obsoleted by gnome-games-sudoku

* Wed Feb 13 2013 Yanko Kaneti <yaneti@declera.com> - 3.7.4-1
- Initial packaging of standalone gnome-sudoku
